
Enduro/X Core - Bug #501

Seems like if in background binary is restarted during the program shutdown, some process may

become started, thus thutdown fails / hangs

01/13/2020 01:52 PM - Madars

Status: Closed Start date: 01/13/2020

Priority: Normal (Code 4) Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

$ xadmin

Enduro/X 7.0.18, build Jan  9 2020 15:40:59, using epoll for LINUX (64 bits)

Enduro/X Middleware Platform for Distributed Transaction Processing

Copyright (C) 2009-2016 ATR Baltic Ltd.

Copyright (C) 2017-2019 Mavimax Ltd. All Rights Reserved.

This software is released under one of the following licenses:

AGPLv3 (with Java and Go exceptions) or Mavimax license for commercial use.

NDRX 1>

NDRX 1>

NDRX 1> stop -y

* Shared resources opened...

* ndrxd PID (from PID file): 19058

Server executable = cpmsrv    Id = 9999 :

^[[Shutdown succeeded.

Server executable = aaaa    Id = 1000 :    Shutdown succeeded.

Server executable = bbbb    Id = 950 :

Started.

Server executable = ccccc    Id = 900 :    Shutdown succeeded.

Shutdown finished. 14 processes stopped.

History

#1 - 05/07/2020 04:55 PM - Madars

The case could be:

- At startup: first attempt Died

- Then requested very slow... (started, not yet results received - slow init)

- shutdown request...

- probably we get started up when init completes of binary.

Probably in this case needs to request a shutdown

#2 - 05/11/2020 10:54 PM - Madars

- Status changed from New to Resolved

- % Done changed from 0 to 100

04/19/2024 1/2



Added retry sending of shutdown signals in case if startup infos received during shutdown request.

#3 - 05/12/2020 01:07 PM - Madars

- Status changed from Resolved to Closed
